// EDACDgML.hpp : header file
/////////////////////////////////////////////////////////////////////////////
#ifndef _ED_ACTORS_DIALOG_LOAD_MODELS_
#define _ED_ACTORS_DIALOG_LOAD_MODELS_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "EDACIRes.h"

/////////////////////////////////////////////////////////////////////////////
// EdActors_Dialog_LoadModels dialog

class EdActors_Dialog_LoadModels : public CDialog
{
// Construction
public:
	EdActors_Dialog_LoadModels(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EdActors_Dialog_LoadModels)
	enum { IDD = IDD_CAR_DG_MODEL_LOAD };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

private:
	//For tree
	CImageList m_pri_clImageListForTree;
	int m_pri_iIndexInImageListForFamilies;
	int m_pri_iIndexInImageListForUnloadedFamilies;
	int m_pri_iIndexInImageListForModels;
	int m_pri_iIndexInImageListForUnloadedModels;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EdActors_Dialog_LoadModels)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EdActors_Dialog_LoadModels)
	afx_msg void OnRadioLoadAllModels();
	afx_msg void OnRadioLoadSelectModels();
	virtual void OnOK();
	afx_msg void OnSelchangedTreeModels(NMHDR* pNMHDR, LRESULT* pResult);
	virtual BOOL OnInitDialog();
	//}}AFX_MSG

private:
	void m_pri_fn_vScanDirectoryForUnloadedModels(CString csDirectory);


	DECLARE_MESSAGE_MAP()
};

#endif // _ED_ACTORS_DIALOG_LOAD_MODELS_
